function f = GSP(x, gam)

	% Default settings
	if nargin < 2, gam = 1; end

	alpha = 1 / (2 * gam);

	n = length(x);

	f(1) = (1 / n^alpha) * sum(x.^2)^alpha;
	f(2) = (1 / n^alpha) * sum((x - 1).^2)^alpha;

end
