function f = superspheres_3D(x, gam)

	if (nargin < 2) gam = 1; end

	g = sqrt(sum(x(3:end).^2));
	f(1) = ((cos(x(1)))^(2))^(1/gam) * (1 + g);
	f(2) = ((sin(x(1)) * cos(x(2)))^(2))^(1/gam) * (1 + g);
	f(3) = ((sin(x(1)) * sin(x(2)))^(2))^(1/gam) * (1 + g);

end
